summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2018-05-30 03:29:01 +0200
committerThomas Deutschmann <whissi@gentoo.org>2018-05-30 03:29:01 +0200
commit826b0d45dfea7e855ce336f4592acd9a1c9149ac (patch)
tree3c43d0995270af48b247c70841db2f1e0c3e11c2 /dev-vcs
parentnet-libs/libmicrodns: x86 stable (bug #652944) (diff)
downloadgentoo-826b0d45dfea7e855ce336f4592acd9a1c9149ac.tar.gz
gentoo-826b0d45dfea7e855ce336f4592acd9a1c9149ac.tar.bz2
gentoo-826b0d45dfea7e855ce336f4592acd9a1c9149ac.zip
dev-vcs/git: drop vulnerable v2.17.0 version
Bug: https://bugs.gentoo.org/656868 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-vcs')
-rw-r--r--dev-vcs/git/Manifest3
-rw-r--r--dev-vcs/git/git-2.17.0.ebuild715
2 files changed, 0 insertions, 718 deletions
diff --git a/dev-vcs/git/Manifest b/dev-vcs/git/Manifest
index e6a38a8e599..d9bcf01f766 100644
--- a/dev-vcs/git/Manifest
+++ b/dev-vcs/git/Manifest
@@ -1,15 +1,12 @@
DIST git-2.16.1.tar.xz 4961656 BLAKE2B d94328da5d027cb82f1f23804a12dfc5df1577bf2c28cc376d4bb5c9e34d317886437f7eee2ac4503b8e2639d2e24c35660ab82a50207f500b7ed6fb104d3624 SHA512 09e30ada7bcf41f78f15784908062c10162d58d2fd7a68ad27e42fd49dc37eb0e82c19ad21db31034a189a8cdd009013a29f943e1ae5d5ab5688c913d2a4d42a
DIST git-2.16.3.tar.xz 4966248 BLAKE2B cd4d2573afd02a23766c4dd0da8397ac36193f68e18c162fc85d60d7595a50da7707f592ccc3a9f00a22fdcb8a8cada82139fe30f97af193fb367a4e392cbaa8 SHA512 73520cf3500b2d13b77eb1e5ec0d60263aad07732d25631732f0d986abd023f97b8a6db4abff64d342cb053018289b5f7a3e32f10b86bd9092a37ee0585adc8a
DIST git-2.16.4.tar.xz 4968252 BLAKE2B 77f76408bde02bfacdb99d22baca05893f63c96d1fb7508c7e92541f8f7ec9ced0dad650be788fd28a1e03b5d88b88708652d07a47bedaae60a9cbd4e2eec858 SHA512 f54e431e78289349dcb927ec34873dfb801c49a41cbb3d0138346d603af26bd7d86f9ac95e7a61a4831017f3503f33374510ccf68b0e62b0691fc5a43283f1ac
-DIST git-2.17.0.tar.xz 5011556 BLAKE2B 73b3ad74d85759704c034b7ab2f604150c08aec45f4b86f5fcfa826801da49f4922599de210d8056b25781f77ff826610ef4a47309dc9e9e3ce18ef97a8e34da SHA512 dab1c1d5d384b36720abc049a66ba60631e17958b214cfbec467be7adc02e82190e5282554da71797892c16bfe52d65b6244a281f504385083125bcb98ec7ee9
DIST git-2.17.1.tar.xz 5015484 BLAKE2B d3a61023872a15e3176e4dae6df83d4c2369a377244d44dfd7a63a15ecc3a7b145093afd5d6fa72e4eca98ba4f81f7ccd89ac2400c9cf8107ac04fd35d8bf6e4 SHA512 77c27569d40fbae1842130baa0cdda674a02e384631bd8fb1f2ddf67ce372dd4903b2ce6b4283a4ae506cdedd5daa55baa2afe6a6689528511e24e4beb864960
DIST git-htmldocs-2.16.1.tar.xz 1160372 BLAKE2B d426fbc85772e5f04550071dea50a75e6d581fd040e8b37b3b342a8d6569d0dcf456445bab1dec3d84e254e82468c900afff7c6be1ebd6771e7fad5884b92515 SHA512 f2bb8b88ab5aa3d6204874aae583249d5137193c5fe3925df7ae1bcdaec0564b496df9a648c180bebb0c8ff4573f27e330802020d3c9207c2738ddd5c52d99c9
DIST git-htmldocs-2.16.3.tar.xz 1164252 BLAKE2B 43d5b0317d3cb181c24347933b6ee3ce586f7be7e38ae30555bc732b369287f080879ff0408601db125a4104b665956f6bcef3f243496008d3ec1601110b06df SHA512 6271ff7780053347ceba47754db00fa8a0a39ff622c490e273ed286faa6ade3f7d6580fa396c913b4485a942b2ad0cdd898de467fde497de1d850fb6d3debd1e
DIST git-htmldocs-2.16.4.tar.xz 1164256 BLAKE2B 88a7ab5b094f15bc2b6c0f4d4c3eae185f6e6c0f00f4aca75492f0cc964428d1bf53002e0e43468b60b62058af5f13b061231061247e19b32bc70c2c8adb04eb SHA512 8f4a8c51656559af81296fb064ecf0f88444952c7f8ee91b85e5a61b20d200267d7432f720ded12046bab986361cff48cf7a2f5d21e05c1ac7648cc3168a0049
-DIST git-htmldocs-2.17.0.tar.xz 1172652 BLAKE2B 9e6ccc120aa45ee98a21ac862a130a964e6cd04cd85d51ddf40cbb34197f699fd8f5046f53265a0685191a96ef5aa0cb398367679b719cb3a2bba0156732d45b SHA512 441d485d42a8b3ba8ef5617e47480be0b587f0f5d35c4288a6cfe8f2b8a84fffcd13a414dcce44855cf580af817b411654999e80502073782c7da38aa40209ba
DIST git-htmldocs-2.17.1.tar.xz 1173296 BLAKE2B 5133a86fb73cd58d6a9d4ed05d32949f642c9a670a49ea67c7170dfb39c4ff3f63d5f220abebcc979f87a360ec2990ccf5a9e3c18e8fcb07082bac111ecb12c7 SHA512 69054b087ffd1c88532672c6edea3cd27e08421f25c09a1a304420ec6aa20806888f71e4ef21aac1bc2fed81a045a64ae164a9dc377eb48d61887bf8d787782c
DIST git-manpages-2.16.1.tar.xz 417188 BLAKE2B 239fb33967d17c8b10efb2e0d1963f7be3404b7f262b49f89b3f4a538135d80268fbe7fe0e561c9cb2d86840eb46b61653ed363d8da27d1169c435d8e1d5e851 SHA512 20c7646b5f1e3c633ce6aae5ee5fcbe4ca1e59fc9253ec9a9e45c7cd8a8ac7a5e71e36258eb747e3bd6d51b3b7971137315dcdbdff493e0f8774ecd3e309735a
DIST git-manpages-2.16.3.tar.xz 417152 BLAKE2B 2719a9a603dc49db1a61a2cec42427bdcdc96fab9d21d16c5a8c70d7dba271a1e5b29f4f83f32c525c4866e3497352017af3777a769893c9543e65d625972375 SHA512 b34a3658412a144fed6f818acc05c0b4be2453ae63f9430dcd53cda750f737bd3da50390bd3f4266e69befa521eddd222985fd531acca1ebd4ca62c6c5b2a85c
DIST git-manpages-2.16.4.tar.xz 417136 BLAKE2B 9a75913dae62fa2eb31cf48e77e266aa8d91c67b8a753c1740283b1d626dea1e9aa8d7cea06d9b97887f801b4d1f1b927014851105cefd3241ca7ab7330bfc8b SHA512 8029e9fac1eca542e809da1247f4eec3a2c81c0eb12d03aa816dcf120677011d3e409b06c28c8e7dbf41cbbcca873ec93846dc317bc73e57f4d4701ce7abf73d
-DIST git-manpages-2.17.0.tar.xz 419316 BLAKE2B f8c4e586d376c31e7728e1fb78032249cc8b20d356e2d7c8d42f1c4a6025dc89d5de81548ea2fb1af5c95276bd3b3f9e650379357f30edd773000b98371fcceb SHA512 b2f7734416f5c336cea272baa87efd10b175a357f5f722f20bb5d287b1886bdb213c4fc2f0c6a3b83fa34423e83139bab5eac70dc9669a72c75c2392dbd517f1
DIST git-manpages-2.17.1.tar.xz 419400 BLAKE2B af8cef1ac43c6b5ee073c7e18c161ba3ebe0669e474833211c95e72b33524050c30ca133ada98e07c8b481ffc4a5cbce1e7d68427b7aeb9bb80534c2ef3623f0 SHA512 fbdd4ef99419d244bc7c03b10cf09e92d1f0894879fe159ee1f53262daebdc7fe72d6c2bbe9e21fe354f8afb26fa06b35788e54b0c078b686706b511bf7c33ee
diff --git a/dev-vcs/git/git-2.17.0.ebuild b/dev-vcs/git/git-2.17.0.ebuild
deleted file mode 100644
index 5f55ce0d640..00000000000
--- a/dev-vcs/git/git-2.17.0.ebuild
+++ /dev/null
@@ -1,715 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-GENTOO_DEPEND_ON_PERL=no
-
-# bug #329479: git-remote-testgit is not multiple-version aware
-PYTHON_COMPAT=( python2_7 )
-PLOCALES="bg ca de es fr is it ko pt_PT ru sv vi zh_CN"
-if [[ ${PV} == *9999 ]]; then
- SCM="git-r3"
- EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
- # Please ensure that all _four_ 9999 ebuilds get updated; they track the 4 upstream branches.
- # See https://git-scm.com/docs/gitworkflows#_graduation
- # In order of stability:
- # 9999-r0: maint
- # 9999-r1: master
- # 9999-r2: next
- # 9999-r3: pu
- case "${PVR}" in
- 9999) EGIT_BRANCH=maint ;;
- 9999-r1) EGIT_BRANCH=master ;;
- 9999-r2) EGIT_BRANCH=next;;
- 9999-r3) EGIT_BRANCH=pu ;;
- esac
-fi
-
-inherit toolchain-funcs eutils elisp-common l10n perl-module bash-completion-r1 python-single-r1 systemd ${SCM}
-
-MY_PV="${PV/_rc/.rc}"
-MY_P="${PN}-${MY_PV}"
-
-DOC_VER=${MY_PV}
-
-DESCRIPTION="stupid content tracker: distributed VCS designed for speed and efficiency"
-HOMEPAGE="https://www.git-scm.com/"
-if [[ ${PV} != *9999 ]]; then
- SRC_URI_SUFFIX="xz"
- SRC_URI_KORG="mirror://kernel/software/scm/git"
- [[ "${PV/rc}" != "${PV}" ]] && SRC_URI_KORG+='/testing'
- SRC_URI="${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}
- ${SRC_URI_KORG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
- doc? (
- ${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
- )"
- [[ "${PV}" = *_rc* ]] || \
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~amd64-fbsd"
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+blksha1 +curl cgi doc emacs gnome-keyring +gpg highlight +iconv libressl mediawiki mediawiki-experimental +nls +pcre +pcre-jit +perl +python ppcsha1 tk +threads +webdav xinetd cvs subversion test"
-
-# Common to both DEPEND and RDEPEND
-CDEPEND="
- gnome-keyring? ( app-crypt/libsecret )
- !libressl? ( dev-libs/openssl:0= )
- libressl? ( dev-libs/libressl:= )
- sys-libs/zlib
- pcre? (
- pcre-jit? ( dev-libs/libpcre2[jit(+)] )
- !pcre-jit? ( dev-libs/libpcre )
- )
- perl? ( dev-lang/perl:=[-build(-)] )
- tk? ( dev-lang/tk:0= )
- curl? (
- net-misc/curl
- webdav? ( dev-libs/expat )
- )
- emacs? ( virtual/emacs )
-"
-
-RDEPEND="${CDEPEND}
- gpg? ( app-crypt/gnupg )
- perl? (
- dev-perl/Error
- dev-perl/MailTools
- dev-perl/Net-SMTP-SSL
- dev-perl/Authen-SASL
- cgi? (
- dev-perl/CGI
- highlight? ( app-text/highlight )
- )
- cvs? (
- >=dev-vcs/cvsps-2.1:0
- dev-perl/DBI
- dev-perl/DBD-SQLite
- )
- mediawiki? (
- dev-perl/DateTime-Format-ISO8601
- dev-perl/HTML-Tree
- dev-perl/MediaWiki-API
- )
- subversion? (
- dev-vcs/subversion[-dso,perl]
- dev-perl/libwww-perl
- dev-perl/TermReadKey
- )
- )
- python? ( ${PYTHON_DEPS} )
-"
-
-# This is how info docs are created with Git:
-# .txt/asciidoc --(asciidoc)---------> .xml/docbook
-# .xml/docbook --(docbook2texi.pl)--> .texi
-# .texi --(makeinfo)---------> .info
-DEPEND="${CDEPEND}
- doc? (
- app-text/asciidoc
- app-text/docbook2X
- sys-apps/texinfo
- app-text/xmlto
- )
- nls? ( sys-devel/gettext )
- test? ( app-crypt/gnupg )"
-
-# Live ebuild builds man pages and HTML docs, additionally
-if [[ ${PV} == *9999 ]]; then
- DEPEND="${DEPEND}
- app-text/asciidoc"
-fi
-
-SITEFILE="50${PN}-gentoo.el"
-S="${WORKDIR}/${MY_P}"
-
-REQUIRED_USE="
- cgi? ( perl )
- cvs? ( perl )
- mediawiki? ( perl )
- mediawiki-experimental? ( mediawiki )
- subversion? ( perl )
- webdav? ( curl )
- pcre-jit? ( pcre )
- python? ( ${PYTHON_REQUIRED_USE} )
-"
-
-PATCHES=(
- # bug #350330 - automagic CVS when we don't want it is bad.
- "${FILESDIR}"/git-2.17.0_rc1-optional-cvs.patch
-
- "${FILESDIR}"/git-2.2.0-svn-fe-linking.patch
-
- # Bug #493306, where FreeBSD 10.x merged libiconv into its libc.
- "${FILESDIR}"/git-2.5.1-freebsd-10.x-no-iconv.patch
-)
-
-pkg_setup() {
- if use subversion && has_version "dev-vcs/subversion[dso]"; then
- ewarn "Per Gentoo bugs #223747, #238586, when subversion is built"
- ewarn "with USE=dso, there may be weird crashes in git-svn. You"
- ewarn "have been warned."
- fi
- if use python ; then
- python-single-r1_pkg_setup
- fi
-}
-
-# This is needed because for some obscure reasons future calls to make don't
-# pick up these exports if we export them in src_unpack()
-exportmakeopts() {
- local myopts=(
- ASCIIDOC_NO_ROFF=YesPlease
- $(usex cvs '' NO_CVS=YesPlease)
- $(usex elibc_musl NO_REGEX=YesPlease '')
- $(usex iconv '' NO_ICONV=YesPlease)
- $(usex nls '' NO_GETTEXT=YesPlease)
- $(usex perl 'INSTALLDIRS=vendor NO_PERL_CPAN_FALLBACKS=YesPlease' NO_PERL=YesPlease)
- $(usex python '' NO_PYTHON=YesPlease)
- $(usex subversion '' NO_SVN_TESTS=YesPlease)
- $(usex threads THREADED_DELTA_SEARCH=YesPlease NO_PTHREAD=YesPlease)
- $(usex tk '' NO_TCLTK=YesPlease)
- )
-
- if use blksha1 ; then
- myopts+=( BLK_SHA1=YesPlease )
- elif use ppcsha1 ; then
- myopts+=( PPC_SHA1=YesPlease )
- fi
-
- if use curl ; then
- use webdav || myopts+=( NO_EXPAT=YesPlease )
- else
- myopts+=( NO_CURL=YesPlease )
- fi
-
- # broken assumptions, because of static build system ...
- myopts+=(
- NO_FINK=YesPlease
- NO_DARWIN_PORTS=YesPlease
- INSTALL=install
- TAR=tar
- SHELL_PATH="${EPREFIX}/bin/sh"
- SANE_TOOL_PATH=
- OLD_ICONV=
- NO_EXTERNAL_GREP=
- )
-
- # For svn-fe
- extlibs="-lz -lssl ${S}/xdiff/lib.a $(usex threads -lpthread '')"
-
- # can't define this to null, since the entire makefile depends on it
- sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile || die
-
- if use pcre; then
- if use pcre-jit; then
- myopts+=( USE_LIBPCRE2=YesPlease )
- extlibs+=" -lpcre2-8"
- else
- myopts+=(
- USE_LIBPCRE1=YesPlease
- NO_LIBPCRE1_JIT=YesPlease
- )
- extlibs+=" -lpcre"
- fi
- fi
-# Disabled until ~m68k-mint can be keyworded again
-# if [[ ${CHOST} == *-mint* ]] ; then
-# myopts+=(
-# NO_MMAP=YesPlease
-# NO_IPV6=YesPlease
-# NO_STRLCPY=YesPlease
-# NO_MEMMEM=YesPlease
-# NO_MKDTEMP=YesPlease
-# NO_MKSTEMPS=YesPlease
-# )
-# fi
- if [[ ${CHOST} == ia64-*-hpux* ]]; then
- myopts+=( NO_NSEC=YesPlease )
- fi
- if [[ ${CHOST} == *-*-aix* ]]; then
- myopts+=( NO_FNMATCH_CASEFOLD=YesPlease )
- fi
- if [[ ${CHOST} == *-solaris* ]]; then
- myopts+=(
- NEEDS_LIBICONV=YesPlease
- HAVE_CLOCK_MONOTONIC=1
- )
- grep -q getdelim "${ROOT}"/usr/include/stdio.h && \
- myopts+=( HAVE_GETDELIM=1 )
- fi
-
- has_version '>=app-text/asciidoc-8.0' \
- && myopts+=( ASCIIDOC8=YesPlease )
-
- # Bug 290465:
- # builtin-fetch-pack.c:816: error: 'struct stat' has no member named 'st_mtim'
- [[ "${CHOST}" == *-uclibc* ]] && \
- myopts+=( NO_NSEC=YesPlease )
-
- export MY_MAKEOPTS="${myopts[@]}"
- export EXTLIBS="${extlibs}"
-}
-
-src_unpack() {
- if [[ ${PV} != *9999 ]]; then
- unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
- cd "${S}" || die
- unpack ${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
- if use doc ; then
- pushd "${S}"/Documentation &>/dev/null || die
- unpack ${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
- popd &>/dev/null || die
- fi
- else
- git-r3_src_unpack
- #cp "${FILESDIR}"/GIT-VERSION-GEN .
- fi
-
-}
-
-src_prepare() {
- # add experimental patches to improve mediawiki support
- # see patches for origin
- if use mediawiki-experimental ; then
- PATCHES+=(
- "${FILESDIR}"/git-2.7.0-mediawiki-namespaces.patch
- "${FILESDIR}"/git-2.7.0-mediawiki-subpages.patch
- "${FILESDIR}"/git-2.7.0-mediawiki-500pages.patch
- )
- fi
-
- default
-
- sed -i \
- -e 's:^\(CFLAGS[[:space:]]*=\).*$:\1 $(OPTCFLAGS) -Wall:' \
- -e 's:^\(LDFLAGS[[:space:]]*=\).*$:\1 $(OPTLDFLAGS):' \
- -e 's:^\(CC[[:space:]]* =\).*$:\1$(OPTCC):' \
- -e 's:^\(AR[[:space:]]* =\).*$:\1$(OPTAR):' \
- -e "s:\(PYTHON_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
- -e "s:\(PERL_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
- Makefile contrib/svn-fe/Makefile || die
-
- # Fix docbook2texi command
- sed -r -i 's/DOCBOOK2X_TEXI[[:space:]]*=[[:space:]]*docbook2x-texi/DOCBOOK2X_TEXI = docbook2texi.pl/' \
- Documentation/Makefile || die
-
- # Fix git-subtree missing DESTDIR
- sed -i \
- -e '/$(INSTALL)/s/ $(libexecdir)/ $(DESTDIR)$(libexecdir)/g' \
- -e '/$(INSTALL)/s/ $(man1dir)/ $(DESTDIR)$(man1dir)/g' \
- contrib/subtree/Makefile || die
-}
-
-git_emake() {
- # bug #320647: PYTHON_PATH
- local PYTHON_PATH=""
- use python && PYTHON_PATH="${PYTHON}"
- emake ${MY_MAKEOPTS} \
- prefix="${EPREFIX}"/usr \
- htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
- perllibdir="$(perl_get_raw_vendorlib)" \
- sysconfdir="${EPREFIX}"/etc \
- DESTDIR="${D}" \
- GIT_TEST_OPTS="--no-color" \
- OPTAR="$(tc-getAR)" \
- OPTCC="$(tc-getCC)" \
- OPTCFLAGS="${CFLAGS}" \
- OPTLDFLAGS="${LDFLAGS}" \
- PERL_PATH="${EPREFIX}/usr/bin/perl" \
- PERL_MM_OPT="" \
- PYTHON_PATH="${PYTHON_PATH}" \
- V=1 \
- "$@"
-}
-
-src_configure() {
- exportmakeopts
-}
-
-src_compile() {
- git_emake || die "emake failed"
-
- if use emacs ; then
- elisp-compile contrib/emacs/git{,-blame}.el
- fi
-
- if use perl && use cgi ; then
- git_emake \
- gitweb \
- || die "emake gitweb (cgi) failed"
- fi
-
- if [[ ${CHOST} == *-darwin* ]]; then
- pushd contrib/credential/osxkeychain &>/dev/null || die
- git_emake CC=$(tc-getCC) CFLAGS="${CFLAGS}" \
- || die "emake credential-osxkeychain"
- popd &>/dev/null || die
- fi
-
- pushd Documentation &>/dev/null || die
- if [[ ${PV} == *9999 ]] ; then
- git_emake man \
- || die "emake man failed"
- if use doc ; then
- git_emake info html \
- || die "emake info html failed"
- fi
- else
- if use doc ; then
- git_emake info \
- || die "emake info html failed"
- fi
- fi
- popd &>/dev/null || die
-
- if use subversion ; then
- pushd contrib/svn-fe &>/dev/null || die
- # by defining EXTLIBS we override the detection for libintl and
- # libiconv, bug #516168
- local nlsiconv=
- use nls && use !elibc_glibc && nlsiconv+=" -lintl"
- use iconv && use !elibc_glibc && nlsiconv+=" -liconv"
- git_emake EXTLIBS="${EXTLIBS} ${nlsiconv}" || die "emake svn-fe failed"
- if use doc ; then
- git_emake svn-fe.{1,html} || die "emake svn-fe.1 svn-fe.html failed"
- fi
- popd &>/dev/null || die
- fi
-
- if use gnome-keyring ; then
- pushd contrib/credential/libsecret &>/dev/null || die
- git_emake || die "emake git-credential-libsecret failed"
- popd &>/dev/null || die
- fi
-
- pushd contrib/subtree &>/dev/null || die
- git_emake
- use doc && git_emake doc
- popd &>/dev/null || die
-
- pushd contrib/diff-highlight &>/dev/null || die
- git_emake
- popd &>/dev/null || die
-
- if use mediawiki ; then
- pushd contrib/mw-to-git &>/dev/null || die
- git_emake
- popd &>/dev/null || die
-
- fi
-}
-
-src_install() {
- git_emake \
- install || \
- die "make install failed"
-
- if [[ ${CHOST} == *-darwin* ]]; then
- dobin contrib/credential/osxkeychain/git-credential-osxkeychain
- fi
-
- # Depending on the tarball and manual rebuild of the documentation, the
- # manpages may exist in either OR both of these directories.
- find man?/*.[157] >/dev/null 2>&1 && doman man?/*.[157]
- find Documentation/*.[157] >/dev/null 2>&1 && doman Documentation/*.[157]
- dodoc README* Documentation/{SubmittingPatches,CodingGuidelines}
- use doc && dodir /usr/share/doc/${PF}/html
- for d in / /howto/ /technical/ ; do
- docinto ${d}
- dodoc Documentation${d}*.txt
- if use doc ; then
- docinto ${d}/html
- dodoc Documentation${d}*.html
- fi
- done
- docinto /
- # Upstream does not ship this pre-built :-(
- use doc && doinfo Documentation/{git,gitman}.info
-
- newbashcomp contrib/completion/git-completion.bash ${PN}
- bashcomp_alias git gitk
- # Not really a bash-completion file (bug #477920)
- # but still needed uncompressed (bug #507480)
- insinto /usr/share/${PN}
- doins contrib/completion/git-prompt.sh
-
- if use emacs ; then
- elisp-install ${PN} contrib/emacs/git.{el,elc}
- elisp-install ${PN} contrib/emacs/git-blame.{el,elc}
- #elisp-install ${PN}/compat contrib/emacs/vc-git.{el,elc}
- # don't add automatically to the load-path, so the sitefile
- # can do a conditional loading
- touch "${ED}${SITELISP}/${PN}/compat/.nosearch"
- elisp-site-file-install "${FILESDIR}"/${SITEFILE}
- fi
-
- #dobin contrib/fast-import/git-p4 # Moved upstream
- #dodoc contrib/fast-import/git-p4.txt # Moved upstream
- newbin contrib/fast-import/import-tars.perl import-tars
- exeinto /usr/libexec/git-core/
- newexe contrib/git-resurrect.sh git-resurrect
-
- # git-subtree
- pushd contrib/subtree &>/dev/null || die
- git_emake install || die "Failed to emake install git-subtree"
- if use doc ; then
- git_emake install-man install-doc || die "Failed to emake install-doc install-mangit-subtree"
- fi
- newdoc README README.git-subtree
- dodoc git-subtree.txt
- popd &>/dev/null || die
-
- if use mediawiki ; then
- pushd contrib/mw-to-git &>/dev/null || die
- git_emake install
- popd &>/dev/null || die
- fi
-
- # diff-highlight
- dobin contrib/diff-highlight/diff-highlight
- newdoc contrib/diff-highlight/README README.diff-highlight
-
- # git-jump
- exeinto /usr/libexec/git-core/
- doexe contrib/git-jump/git-jump
- newdoc contrib/git-jump/README git-jump.txt
-
- # git-contacts
- exeinto /usr/libexec/git-core/
- doexe contrib/contacts/git-contacts
- dodoc contrib/contacts/git-contacts.txt
-
- if use gnome-keyring ; then
- pushd contrib/credential/libsecret &>/dev/null || die
- dobin git-credential-libsecret
- popd &>/dev/null || die
- fi
-
- if use subversion ; then
- pushd contrib/svn-fe &>/dev/null || die
- dobin svn-fe
- dodoc svn-fe.txt
- if use doc ; then
- doman svn-fe.1
- docinto html
- dodoc svn-fe.html
- fi
- popd &>/dev/null || die
- fi
-
- dodir /usr/share/${PN}/contrib
- # The following are excluded:
- # completion - installed above
- # diff-highlight - done above
- # emacs - installed above
- # examples - these are stuff that is not used in Git anymore actually
- # git-jump - done above
- # gitview - installed above
- # p4import - excluded because fast-import has a better one
- # patches - stuff the Git guys made to go upstream to other places
- # persistent-https - TODO
- # mw-to-git - TODO
- # subtree - build seperately
- # svnimport - use git-svn
- # thunderbird-patch-inline - fixes thunderbird
- local contrib_objects=(
- buildsystems
- fast-import
- hg-to-git
- hooks
- remotes2config.sh
- rerere-train.sh
- stats
- workdir
- )
- for i in "${contrib_objects[@]}" ; do
- cp -rf \
- "${S}"/contrib/${i} \
- "${ED%/}"/usr/share/${PN}/contrib \
- || die "Failed contrib ${i}"
- done
-
- if use perl && use cgi ; then
- # We used to install in /usr/share/${PN}/gitweb
- # but upstream installs in /usr/share/gitweb
- # so we will install a symlink and use their location for compat with other
- # distros
- dosym /usr/share/gitweb /usr/share/${PN}/gitweb
-
- # INSTALL discusses configuration issues, not just installation
- docinto /
- newdoc "${S}"/gitweb/INSTALL INSTALL.gitweb
- newdoc "${S}"/gitweb/README README.gitweb
-
- for d in "${ED%/}"/usr/lib{,64}/perl5/ ; do
- if test -d "$d" ; then find "$d" \
- -name .packlist \
- -delete || die
- fi
- done
- else
- rm -rf "${ED%/}"/usr/share/gitweb
- fi
-
- if ! use subversion ; then
- rm -f "${ED%/}"/usr/libexec/git-core/git-svn \
- "${ED%/}"/usr/share/man/man1/git-svn.1*
- fi
-
- if use xinetd ; then
- insinto /etc/xinetd.d
- newins "${FILESDIR}"/git-daemon.xinetd git-daemon
- fi
-
- if use !prefix ; then
- newinitd "${FILESDIR}"/git-daemon-r1.initd git-daemon
- newconfd "${FILESDIR}"/git-daemon.confd git-daemon
- systemd_newunit "${FILESDIR}/git-daemon_at-r1.service" "git-daemon@.service"
- systemd_dounit "${FILESDIR}/git-daemon.socket"
- fi
-
- perl_delete_localpod
-
- # Remove disabled linguas
- # we could remove sources in src_prepare, but install does not
- # handle missing locale dir well
- rm_loc() {
- if [[ -e "${ED%/}/usr/share/locale/${1}" ]]; then
- rm -r "${ED%/}/usr/share/locale/${1}" || die
- fi
- }
- l10n_for_each_disabled_locale_do rm_loc
-}
-
-src_test() {
- local disabled=()
- local tests_cvs=(
- t9200-git-cvsexportcommit.sh
- t9400-git-cvsserver-server.sh
- t9401-git-cvsserver-crlf.sh
- t9402-git-cvsserver-refs.sh
- t9600-cvsimport.sh
- t9601-cvsimport-vendor-branch.sh
- t9602-cvsimport-branches-tags.sh
- t9603-cvsimport-patchsets.sh
- t9604-cvsimport-timestamps.sh
- )
- local tests_perl=(
- t3701-add-interactive.sh
- t5502-quickfetch.sh
- t5512-ls-remote.sh
- t5520-pull.sh
- t7106-reset-unborn-branch.sh
- t7501-commit.sh
- )
- # Bug #225601 - t0004 is not suitable for root perm
- # Bug #219839 - t1004 is not suitable for root perm
- # t0001-init.sh - check for init notices EPERM* fails
- local tests_nonroot=(
- t0001-init.sh
- t0004-unwritable.sh
- t0070-fundamental.sh
- t1004-read-tree-m-u-wf.sh
- t3700-add.sh
- t7300-clean.sh
- )
- # t9100 still fails with symlinks in SVN 1.7
- local test_svn=( t9100-git-svn-basic.sh )
-
- # Unzip is used only for the testcase code, not by any normal parts of Git.
- if ! has_version app-arch/unzip ; then
- einfo "Disabling tar-tree tests"
- disabled+=( t5000-tar-tree.sh )
- fi
-
- local cvs=0
- use cvs && let cvs=${cvs}+1
- if [[ ${EUID} -eq 0 ]]; then
- if [[ ${cvs} -eq 1 ]]; then
- ewarn "Skipping CVS tests because CVS does not work as root!"
- ewarn "You should retest with FEATURES=userpriv!"
- disabled+=( ${tests_cvs[@]} )
- fi
- einfo "Skipping other tests that require being non-root"
- disabled+=( ${tests_nonroot[@]} )
- else
- [[ ${cvs} -gt 0 ]] && \
- has_version dev-vcs/cvs && \
- let cvs=${cvs}+1
- [[ ${cvs} -gt 1 ]] && \
- has_version "dev-vcs/cvs[server]" && \
- let cvs=${cvs}+1
- if [[ ${cvs} -lt 3 ]]; then
- einfo "Disabling CVS tests (needs dev-vcs/cvs[USE=server])"
- disabled+=( ${tests_cvs[@]} )
- fi
- fi
-
- if ! use perl ; then
- einfo "Disabling tests that need Perl"
- disabled+=( ${tests_perl[@]} )
- fi
-
- einfo "Disabling tests that fail with SVN 1.7"
- disabled+=( ${test_svn[@]} )
-
- # Reset all previously disabled tests
- pushd t &>/dev/null || die
- local i
- for i in *.sh.DISABLED ; do
- [[ -f "${i}" ]] && mv -f "${i}" "${i%.DISABLED}"
- done
- einfo "Disabled tests:"
- for i in ${disabled[@]} ; do
- [[ -f "${i}" ]] && mv -f "${i}" "${i}.DISABLED" && einfo "Disabled ${i}"
- done
-
- # Avoid the test system removing the results because we want them ourselves
- sed -e '/^[[:space:]]*$(MAKE) clean/s,^,#,g' \
- -i Makefile || die
-
- # Clean old results first, must always run
- nonfatal git_emake clean
- popd &>/dev/null || die
-
- # Now run the tests, keep going if we hit an error, and don't terminate on
- # failure
- local rc
- einfo "Start test run"
- #MAKEOPTS=-j1
- nonfatal git_emake --keep-going test
- rc=$?
-
- # Display nice results, now print the results
- pushd t &>/dev/null || die
- nonfatal git_emake aggregate-results
-
- # And bail if there was a problem
- [ ${rc} -eq 0 ] || die "tests failed. Please file a bug."
-}
-
-showpkgdeps() {
- local pkg=$1
- shift
- elog " $(printf "%-17s:" ${pkg}) ${@}"
-}
-
-pkg_postinst() {
- use emacs && elisp-site-regen
- einfo "Please read /usr/share/bash-completion/git for Git bash command completion"
- einfo "Please read /usr/share/git/git-prompt.sh for Git bash prompt"
- einfo "Note that the prompt bash code is now in that separate script"
- elog "These additional scripts need some dependencies:"
- echo
- showpkgdeps git-quiltimport "dev-util/quilt"
- showpkgdeps git-instaweb \
- "|| ( www-servers/lighttpd www-servers/apache www-servers/nginx )"
- echo
- use mediawiki-experimental && ewarn "Using experimental git-mediawiki patches. The stability of cloned wiki filesystems is not guaranteed."
-}
-
-pkg_postrm() {
- use emacs && elisp-site-regen
-}